/[gentoo-x86]/app-office/libreoffice/libreoffice-3.6.9999.ebuild
Gentoo

Contents of /app-office/libreoffice/libreoffice-3.6.9999.ebuild

Parent Directory Parent Directory | Revision Log Revision Log


Revision 1.17 - (show annotations) (download)
Sat Aug 11 08:44:28 2012 UTC (2 years, 1 month ago) by scarabeus
Branch: MAIN
Changes since 1.16: +2 -1 lines
Add internal rhino as we need it. Fixes bug#430800.

(Portage version: 2.2.0_alpha120/cvs/Linux x86_64)

1 # Copyright 1999-2012 Gentoo Foundation
2 # Distributed under the terms of the GNU General Public License v2
3 # $Header: /var/cvsroot/gentoo-x86/app-office/libreoffice/libreoffice-3.6.9999.ebuild,v 1.16 2012/08/10 11:53:20 scarabeus Exp $
4
5 EAPI=4
6
7 KDE_REQUIRED="optional"
8 QT_MINIMAL="4.7.4"
9 KDE_SCM="git"
10 CMAKE_REQUIRED="never"
11
12 PYTHON_DEPEND="2"
13 PYTHON_USE_WITH="threads,xml"
14
15 # experimental ; release ; old
16 # Usually the tarballs are moved a lot so this should make
17 # everyone happy.
18 DEV_URI="
19 http://dev-builds.libreoffice.org/pre-releases/src
20 http://download.documentfoundation.org/libreoffice/src/${PV:0:5}/
21 http://download.documentfoundation.org/libreoffice/old/${PV}/
22 "
23 EXT_URI="http://ooo.itc.hu/oxygenoffice/download/libreoffice"
24 ADDONS_URI="http://dev-www.libreoffice.org/src/"
25
26 BRANDING="${PN}-branding-gentoo-0.6.tar.xz"
27 # PATCHSET="${P}-patchset-01.tar.xz"
28
29 [[ ${PV} == *9999* ]] && SCM_ECLASS="git-2"
30 inherit base autotools bash-completion-r1 check-reqs eutils java-pkg-opt-2 kde4-base pax-utils python multilib toolchain-funcs flag-o-matic ${SCM_ECLASS}
31 unset SCM_ECLASS
32
33 DESCRIPTION="LibreOffice, a full office productivity suite."
34 HOMEPAGE="http://www.libreoffice.org"
35 SRC_URI="branding? ( http://dev.gentoo.org/~dilfridge/distfiles/${BRANDING} )"
36 [[ -n ${PATCHSET} ]] && SRC_URI+=" http://dev.gentooexperimental.org/~scarabeus/${PATCHSET}"
37
38 # Split modules following git/tarballs
39 # Core MUST be first!
40 # Help is used for the image generator
41 MODULES="core binfilter help"
42 # Only release has the tarballs
43 if [[ ${PV} != *9999* ]]; then
44 for i in ${DEV_URI}; do
45 for mod in ${MODULES}; do
46 if [[ ${mod} == binfilter ]]; then
47 SRC_URI+=" binfilter? ( ${i}/${PN}-${mod}-${PV}.tar.xz )"
48 else
49 SRC_URI+=" ${i}/${PN}-${mod}-${PV}.tar.xz"
50 fi
51 done
52 unset mod
53 done
54 unset i
55 fi
56 unset DEV_URI
57
58 # Really required addons
59 # These are bundles that can't be removed for now due to huge patchsets.
60 # If you want them gone, patches are welcome.
61 ADDONS_SRC+=" ${ADDONS_URI}/ea91f2fb4212a21d708aced277e6e85a-vigra1.4.0.tar.gz"
62 ADDONS_SRC+=" xmlsec? ( ${ADDONS_URI}/1f24ab1d39f4a51faf22244c94a6203f-xmlsec1-1.2.14.tar.gz )" # modifies source code
63 ADDONS_SRC+=" java? ( ${ADDONS_URI}/17410483b5b5f267aa18b7e00b65e6e0-hsqldb_1_8_0.zip )"
64 ADDONS_SRC+=" java? ( ${ADDONS_URI}/ada24d37d8d638b3d8a9985e80bc2978-source-9.0.0.7-bj.zip )"
65 ADDONS_SRC+=" libreoffice_extensions_wiki-publisher? ( ${ADDONS_URI}/a7983f859eafb2677d7ff386a023bc40-xsltml_2.1.2.zip )" # no release for 8 years, should we package it?
66 ADDONS_SRC+=" libreoffice_extensions_scripting-javascript? ( ${ADDONS_URI}/798b2ffdc8bcfe7bca2cf92b62caf685-rhino1_5R5.zip )" # Does not build with 1.6 rhino at all
67 ADDONS_SRC+=" odk? ( http://download.go-oo.org/extern/185d60944ea767075d27247c3162b3bc-unowinreg.dll )" # not packageable
68 SRC_URI+=" ${ADDONS_SRC}"
69
70 unset ADDONS_URI
71 unset EXT_URI
72 unset ADDONS_SRC
73
74 IUSE="binfilter binfilterdebug +branding +cups dbus eds gnome +graphite
75 gstreamer +gtk jemalloc kde mysql odk opengl postgres svg test +vba
76 +webdav +xmlsec"
77
78 LO_EXTS="nlpsolver pdfimport presenter-console presenter-minimizer scripting-beanshell scripting-javascript wiki-publisher"
79 # Unpackaged separate extensions:
80 # diagram: lo has 0.9.5 upstream is weirdly patched 0.9.4 -> wtf?
81 # hunart: only on ooo extensions -> fubared download path somewhere on sf
82 # numbertext, typo, validator, watch-window: ^^
83 # oooblogger: no homepage or anything
84 # Extensions that need extra work:
85 # report-builder: missing java packages
86 for lo_xt in ${LO_EXTS}; do
87 IUSE+=" libreoffice_extensions_${lo_xt}"
88 done
89 unset lo_xt
90
91 LICENSE="|| ( LGPL-3 MPL-1.1 )"
92 SLOT="0"
93 [[ ${PV} == *9999* ]] || KEYWORDS="~amd64 ~ppc ~x86 ~amd64-linux ~x86-linux"
94
95 NSS_DEPEND="
96 >=dev-libs/nspr-4.8.8
97 >=dev-libs/nss-3.12.9
98 "
99 COMMON_DEPEND="
100 app-arch/zip
101 app-arch/unzip
102 >=app-text/hunspell-1.3.2-r3
103 app-text/mythes
104 >=app-text/libexttextcat-3.2
105 app-text/libwpd:0.9[tools]
106 app-text/libwpg:0.2
107 >=app-text/libwps-0.2.2
108 >=dev-cpp/clucene-2.3.3.4-r2
109 >=dev-cpp/libcmis-0.2
110 dev-db/unixODBC
111 dev-libs/expat
112 >=dev-libs/glib-2.28
113 >=dev-libs/hyphen-2.7.1
114 >=dev-libs/icu-4.8.1.1
115 >=dev-lang/perl-5.0
116 >=dev-libs/openssl-1.0.0d
117 >=dev-libs/redland-1.0.14[ssl]
118 >=media-libs/fontconfig-2.8.0
119 media-libs/freetype:2
120 media-libs/lcms:2
121 >=media-libs/libpng-1.4
122 >=media-libs/libcdr-0.0.5
123 media-libs/libvisio
124 >=net-misc/curl-7.21.4
125 sci-mathematics/lpsolve
126 >=sys-libs/db-4.8
127 virtual/jpeg
128 >=x11-libs/cairo-1.10.0[X]
129 x11-libs/libXinerama
130 x11-libs/libXrandr
131 x11-libs/libXrender
132 cups? ( net-print/cups )
133 dbus? ( >=dev-libs/dbus-glib-0.92 )
134 eds? ( gnome-extra/evolution-data-server )
135 gnome? ( gnome-base/gconf:2 )
136 gtk? (
137 x11-libs/gdk-pixbuf[X]
138 >=x11-libs/gtk+-2.24:2
139 )
140 graphite? ( media-gfx/graphite2 )
141 gstreamer? (
142 >=media-libs/gstreamer-0.10
143 >=media-libs/gst-plugins-base-0.10
144 )
145 jemalloc? ( dev-libs/jemalloc )
146 libreoffice_extensions_pdfimport? ( >=app-text/poppler-0.16[xpdf-headers(+),cxx] )
147 libreoffice_extensions_scripting-beanshell? ( >=dev-java/bsh-2.0_beta4 )
148 libreoffice_extensions_scripting-javascript? ( dev-java/rhino:1.6 )
149 libreoffice_extensions_wiki-publisher? (
150 dev-java/commons-codec:0
151 dev-java/commons-httpclient:3
152 dev-java/commons-lang:2.1
153 dev-java/commons-logging:0
154 dev-java/tomcat-servlet-api:3.0
155 )
156 mysql? ( >=dev-db/mysql-connector-c++-1.1.0 )
157 opengl? ( virtual/opengl )
158 postgres? ( >=dev-db/postgresql-base-9.0[kerberos] )
159 svg? ( gnome-base/librsvg )
160 webdav? ( net-libs/neon )
161 xmlsec? ( ${NSS_DEPEND} )
162 "
163
164 RDEPEND="${COMMON_DEPEND}
165 !app-office/libreoffice-bin
166 !app-office/libreoffice-bin-debug
167 !app-office/openoffice-bin
168 !app-office/openoffice
169 media-fonts/libertine-ttf
170 media-fonts/liberation-fonts
171 media-fonts/urw-fonts
172 java? ( >=virtual/jre-1.6 )
173 "
174
175 PDEPEND="
176 =app-office/libreoffice-l10n-3.6*
177 "
178
179 # FIXME: cppunit should be moved to test conditional
180 # after everything upstream is under gbuild
181 # as dmake execute tests right away
182 DEPEND="${COMMON_DEPEND}
183 >=dev-libs/boost-1.46
184 >=dev-libs/libxml2-2.7.8
185 dev-libs/libxslt
186 dev-perl/Archive-Zip
187 dev-util/cppunit
188 >=dev-util/gperf-3
189 dev-util/intltool
190 dev-util/mdds
191 virtual/pkgconfig
192 net-misc/npapi-sdk
193 >=sys-apps/findutils-4.4.2
194 sys-devel/bison
195 sys-apps/coreutils
196 sys-devel/flex
197 sys-devel/gettext
198 >=sys-devel/make-3.82
199 sys-libs/zlib
200 x11-libs/libXt
201 x11-libs/libXtst
202 x11-proto/randrproto
203 x11-proto/xextproto
204 x11-proto/xineramaproto
205 x11-proto/xproto
206 java? (
207 >=virtual/jdk-1.6
208 >=dev-java/ant-core-1.7
209 test? ( dev-java/junit:4 )
210 )
211 test? ( dev-util/cppunit )
212 "
213
214 PATCHES=(
215 # not upstreamable stuff
216 "${FILESDIR}/${PN}-3.6-system-pyuno.patch"
217 )
218
219 REQUIRED_USE="
220 gnome? ( gtk )
221 eds? ( gnome )
222 libreoffice_extensions_nlpsolver? ( java )
223 libreoffice_extensions_scripting-beanshell? ( java )
224 libreoffice_extensions_scripting-javascript? ( java )
225 libreoffice_extensions_wiki-publisher? ( java )
226 "
227
228 RESTRICT="test"
229
230 S="${WORKDIR}/${PN}-core-${PV}"
231
232 CHECKREQS_MEMORY="512M"
233 CHECKREQS_DISK_BUILD="6G"
234
235 pkg_pretend() {
236 local pgslot
237
238 if [[ ${MERGE_TYPE} != binary ]]; then
239 check-reqs_pkg_pretend
240
241 if [[ $(gcc-major-version) -lt 4 ]] || \
242 ( [[ $(gcc-major-version) -eq 4 && $(gcc-minor-version) -lt 5 ]] ) \
243 ; then
244 eerror "Compilation with gcc older than 4.5 is not supported"
245 die "Too old gcc found."
246 fi
247 fi
248
249 # ensure pg version
250 if use postgres; then
251 pgslot=$(postgresql-config show)
252 if [[ ${pgslot//.} < 90 ]] ; then
253 eerror "PostgreSQL slot must be set to 9.0 or higher."
254 eerror " postgresql-config set 9.0"
255 die "PostgreSQL slot is not set to 9.0 or higher."
256 fi
257 fi
258 }
259
260 pkg_setup() {
261 java-pkg-opt-2_pkg_setup
262 kde4-base_pkg_setup
263
264 python_set_active_version 2
265 python_pkg_setup
266
267 [[ ${MERGE_TYPE} != binary ]] && check-reqs_pkg_setup
268 }
269
270 src_unpack() {
271 local mod dest tmplfile tmplname mypv
272
273 [[ -n ${PATCHSET} ]] && unpack ${PATCHSET}
274 if use branding; then
275 unpack "${BRANDING}"
276 fi
277
278 if [[ ${PV} != *9999* ]]; then
279 for mod in ${MODULES}; do
280 if [[ ${mod} == binfilter ]] && ! use binfilter; then
281 continue
282 fi
283 unpack "${PN}-${mod}-${PV}.tar.xz"
284 if [[ ${mod} != core ]]; then
285 mv -n "${WORKDIR}/${PN}-${mod}-${PV}"/* "${S}"
286 rm -rf "${WORKDIR}/${PN}-${mod}-${PV}"
287 fi
288 done
289 else
290 for mod in ${MODULES}; do
291 if [[ ${mod} == binfilter ]] && ! use binfilter; then
292 continue
293 fi
294 mypv=${PV/.9999}
295 [[ ${mypv} != ${PV} ]] && EGIT_BRANCH="${PN}-${mypv/./-}"
296 EGIT_PROJECT="${PN}/${mod}"
297 EGIT_SOURCEDIR="${WORKDIR}/${PN}-${mod}-${PV}"
298 EGIT_REPO_URI="git://anongit.freedesktop.org/${PN}/${mod}"
299 EGIT_NOUNPACK="true"
300 git-2_src_unpack
301 if [[ ${mod} != core ]]; then
302 mv -n "${WORKDIR}/${PN}-${mod}-${PV}"/* "${S}"
303 rm -rf "${WORKDIR}/${PN}-${mod}-${PV}"
304 fi
305 done
306 unset EGIT_PROJECT EGIT_SOURCEDIR EGIT_REPO_URI EGIT_BRANCH
307 fi
308 }
309
310 src_prepare() {
311 # optimization flags
312 export ARCH_FLAGS="${CXXFLAGS}"
313 export LINKFLAGSOPTIMIZE="${LDFLAGS}"
314 export GMAKE_OPTIONS="${MAKEOPTS}"
315
316 # patchset
317 if [[ -n ${PATCHSET} ]]; then
318 EPATCH_FORCE="yes" \
319 EPATCH_SOURCE="${WORKDIR}/${PATCHSET/.tar.xz/}" \
320 EPATCH_SUFFIX="patch" \
321 epatch
322 fi
323
324 base_src_prepare
325
326 # please no debug in binfilter, it blows up things insanely
327 if use binfilter && ! use binfilterdebug ; then
328 for name in $(find "${S}/binfilter" -name makefile.mk) ; do
329 sed -i -e '1i\CFLAGS+= -g0' $name || die
330 done
331 fi
332
333 AT_M4DIR="m4"
334 eautoreconf
335 # hack in the autogen.sh
336 touch autogen.lastrun
337
338 # system pyuno mess
339 sed \
340 -e "s:%eprefix%:${EPREFIX}:g" \
341 -e "s:%libdir%:$(get_libdir):g" \
342 -i pyuno/source/module/uno.py \
343 -i scripting/source/pyprov/officehelper.py || die
344 }
345
346 src_configure() {
347 local java_opts
348 local internal_libs
349 local lo_ext
350 local ext_opts
351 local jbs=$(sed -ne 's/.*\(-j[[:space:]]*\|--jobs=\)\([[:digit:]]\+\).*/\2/;T;p' <<< "${MAKEOPTS}")
352
353 # recheck that there is some value in jobs
354 [[ -z ${jbs} ]] && jbs="1"
355
356 # sane: just sane.h header that is used for scan in writer, not
357 # linked or anything else, worthless to depend on
358 # vigra: just uses templates from there
359 # it is serious pain in the ass for packaging
360 # should be replaced by boost::gil if someone interested
361 internal_libs+="
362 --without-system-sane
363 --without-system-vigra
364 "
365
366 # libreoffice extensions handling
367 for lo_xt in ${LO_EXTS}; do
368 ext_opts+=" $(use_enable libreoffice_extensions_${lo_xt} ext-${lo_xt})"
369 done
370
371 if use java; then
372 # hsqldb: system one is too new
373 # saxon: system one does not work properly
374 java_opts="
375 --without-system-hsqldb
376 --without-system-saxon
377 --with-ant-home="${ANT_HOME}"
378 --with-jdk-home=$(java-config --jdk-home 2>/dev/null)
379 --with-java-target-version=$(java-pkg_get-target)
380 --with-jvm-path="${EPREFIX}/usr/$(get_libdir)/"
381 "
382
383 use libreoffice_extensions_scripting-beanshell && \
384 java_opts+=" --with-beanshell-jar=$(java-pkg_getjar bsh bsh.jar)"
385
386 use libreoffice_extensions_scripting-javascript && \
387 java_opts+=" --with-rhino-jar=$(java-pkg_getjar rhino-1.6 js.jar)"
388
389 if use libreoffice_extensions_wiki-publisher; then
390 java_opts+="
391 --with-commons-codec-jar=$(java-pkg_getjar commons-codec commons-codec.jar)
392 --with-commons-httpclient-jar=$(java-pkg_getjar commons-httpclient-3 commons-httpclient.jar)
393 --with-commons-lang-jar=$(java-pkg_getjar commons-lang-2.1 commons-lang.jar)
394 --with-commons-logging-jar=$(java-pkg_getjar commons-logging commons-logging.jar)
395 --with-servlet-api-jar=$(java-pkg_getjar tomcat-servlet-api-3.0 servlet-api.jar)
396 "
397 fi
398
399 if use test; then
400 java_opts+=" --with-junit=$(java-pkg_getjar junit-4 junit.jar)"
401 else
402 java_opts+=" --without-junit"
403 fi
404 fi
405
406 if use branding; then
407 # hack...
408 mv -v "${WORKDIR}/branding-intro.png" "${S}/icon-themes/galaxy/brand/intro.png" || die
409 fi
410
411 # it's not entirely clear to me where the failure is, boost libreoffice gcc come to my mind
412 append-cppflags -DBOOST_NO_0X_HDR_TYPEINDEX
413
414 # system headers/libs/...: enforce using system packages
415 # --enable-unix-qstart-libpng: use libpng splashscreen that is faster
416 # --enable-cairo: ensure that cairo is always required
417 # --enable-*-link: link to the library rather than just dlopen on runtime
418 # --enable-release-build: build the libreoffice as release
419 # --disable-fetch-external: prevent dowloading during compile phase
420 # --disable-gnome-vfs: old gnome virtual fs support
421 # --disable-kdeab: kde3 adressbook
422 # --disable-kde: kde3 support
423 # --disable-ldap: ldap requires internal mozilla stuff, same like mozab
424 # --disable-mozilla: disable mozilla build that is used for adresbook, not
425 # affecting the nsplugin that is always ON
426 # --disable-pch: precompiled headers cause build crashes
427 # --disable-rpath: relative runtime path is not desired
428 # --disable-systray: quickstarter does not actually work at all so do not
429 # promote it
430 # --disable-zenity: disable build icon
431 # --enable-extension-integration: enable any extension integration support
432 # --with-{max-jobs,num-cpus}: ensuring parallel building
433 # --without-{afms,fonts,myspell-dicts,ppsd}: prevent install of sys pkgs
434 # --without-stlport: disable deprecated extensions framework
435 # --disable-ext-report-builder: too much java packages pulled in
436 econf \
437 --docdir="${EPREFIX}/usr/share/doc/${PF}/" \
438 --with-system-headers \
439 --with-system-libs \
440 --with-system-jars \
441 --with-system-dicts \
442 --enable-cairo-canvas \
443 --enable-largefile \
444 --enable-mergelibs \
445 --enable-python=system \
446 --enable-randr \
447 --enable-randr-link \
448 --enable-release-build \
449 --enable-unix-qstart-libpng \
450 --disable-ccache \
451 --disable-crashdump \
452 --disable-dependency-tracking \
453 --disable-epm \
454 --disable-fetch-external \
455 --disable-gnome-vfs \
456 --disable-ext-report-builder \
457 --disable-kdeab \
458 --disable-kde \
459 --disable-ldap \
460 --disable-mozilla \
461 --disable-nsplugin \
462 --disable-online-update \
463 --disable-pch \
464 --disable-rpath \
465 --disable-systray \
466 --disable-zenity \
467 --with-alloc=$(use jemalloc && echo "jemalloc" || echo "system") \
468 --with-build-version="Gentoo official package" \
469 --enable-extension-integration \
470 --with-external-dict-dir="${EPREFIX}/usr/share/myspell" \
471 --with-external-hyph-dir="${EPREFIX}/usr/share/myspell" \
472 --with-external-thes-dir="${EPREFIX}/usr/share/myspell" \
473 --with-external-tar="${DISTDIR}" \
474 --with-lang="" \
475 --with-max-jobs=${jbs} \
476 --with-num-cpus=${jbs} \
477 --with-unix-wrapper=libreoffice \
478 --with-vendor="Gentoo Foundation" \
479 --with-x \
480 --without-afms \
481 --without-fonts \
482 --without-myspell-dicts \
483 --without-stlport \
484 --without-system-mozilla \
485 --without-help \
486 --with-helppack-integration \
487 --without-sun-templates \
488 --disable-gtk3 \
489 $(use_enable binfilter) \
490 $(use_enable cups) \
491 $(use_enable dbus) \
492 $(use_enable eds evolution2) \
493 $(use_enable gnome gconf) \
494 $(use_enable gnome gio) \
495 $(use_enable gnome lockdown) \
496 $(use_enable graphite) \
497 $(use_enable gstreamer) \
498 $(use_enable gtk) \
499 $(use_enable kde kde4) \
500 $(use_enable mysql ext-mysql-connector) \
501 $(use_enable odk) \
502 $(use_enable opengl) \
503 $(use_enable postgres postgresql-sdbc) \
504 $(use_enable svg librsvg system) \
505 $(use_enable test linkoo) \
506 $(use_enable vba) \
507 $(use_enable webdav neon) \
508 $(use_enable xmlsec) \
509 $(use_with java) \
510 $(use_with mysql system-mysql-cppconn) \
511 ${internal_libs} \
512 ${java_opts} \
513 ${ext_opts}
514 }
515
516 src_compile() {
517 # hack for offlinehelp, this needs fixing upstream at some point
518 # it is broken because we send --without-help
519 # https://bugs.freedesktop.org/show_bug.cgi?id=46506
520 (
521 source "${S}/config_host.mk" 2&> /dev/null
522
523 local path="${SOLARVER}/${INPATH}/res/img"
524 mkdir -p "${path}" || die
525
526 echo "perl \"${S}/helpcontent2/helpers/create_ilst.pl\" -dir=icon-themes/galaxy/res/helpimg > \"${path}/helpimg.ilst\""
527 perl "${S}/helpcontent2/helpers/create_ilst.pl" \
528 -dir=icon-themes/galaxy/res/helpimg \
529 > "${path}/helpimg.ilst"
530 [[ -s "${path}/helpimg.ilst" ]] || ewarn "The help images list is empty, something is fishy, report a bug."
531 )
532
533 # this is not a proper make script
534 make build || die
535 }
536
537 src_test() {
538 make unitcheck || die
539 make slowcheck || die
540 }
541
542 src_install() {
543 # This is not Makefile so no buildserver
544 make DESTDIR="${D}" distro-pack-install -o build -o check || die
545
546 # Fix bash completion placement
547 newbashcomp "${ED}"/etc/bash_completion.d/libreoffice.sh ${PN}
548 rm -rf "${ED}"/etc/
549
550 if use branding; then
551 insinto /usr/$(get_libdir)/${PN}/program
552 newins "${WORKDIR}/branding-sofficerc" sofficerc
553 fi
554
555 # Hack for offlinehelp, this needs fixing upstream at some point.
556 # It is broken because we send --without-help
557 # https://bugs.freedesktop.org/show_bug.cgi?id=46506
558 insinto /usr/$(get_libdir)/libreoffice/help
559 doins xmlhelp/util/*.xsl
560 }
561
562 pkg_preinst() {
563 # Cache updates - all handled by kde eclass for all environments
564 kde4-base_pkg_preinst
565 }
566
567 pkg_postinst() {
568 kde4-base_pkg_postinst
569
570 pax-mark -m "${EPREFIX}"/usr/$(get_libdir)/libreoffice/program/soffice.bin
571 pax-mark -m "${EPREFIX}"/usr/$(get_libdir)/libreoffice/program/unopkg.bin
572
573 use java || \
574 ewarn 'If you plan to use lbase aplication you should enable java or you will get various crashes.'
575 }
576
577 pkg_postrm() {
578 kde4-base_pkg_postrm
579 }

  ViewVC Help
Powered by ViewVC 1.1.20